<template>
  <svg xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 400 400"
    role="presentation"
    :width="width"
    :height="height"
    @mouseover="mouseOver"
    @mouseleave="mouseLeave"
  >
    <title
      id="hexagon-icon"
      lang="en"
    >Hexagon Plus Icon</title> <!-- eslint-disable-line -->
    <g id="_hexagon-group">
      <path
        id="_hexagon"
        d="M320,140 Q 320 130 310 124 310,124 210,66 Q 200 60 190 66 190,66 90,124 Q 80 130 80 140 80,140 80,260 Q 80 270 90 276 90,276 190,334 Q 200 340 210 334 210,334 310,276 Q 320 270 320 260 320,260 320,140"
        :stroke="fillColor"
        stroke-width="10"
        stroke-linejoin="round"
        stroke-linecap="round"
        fill="transparent"
      />
      <g id="_plus">
        <path
          id="_plus-horizontal"
          d="M160,200 H 240"
          :stroke="fill"
          stroke-width="10"
          stroke-linejoin="round"
          stroke-linecap="round"
        />
        <path
          id="_plus-vertical"
          d="M200,160 V 240"
          :stroke="fill"
          stroke-width="10"
          stroke-linejoin="round"
          stroke-linecap="round"
        />
      </g>
    </g>
  </svg>
</template>

<script>
// BaseIcon
import BaseIcon from '@/components/commons/icons/BaseIcon'

/**
 * Hexagon Plus icon
 */
export default {
  name: 'HexagonPlusIcon',
  extends: BaseIcon
}
</script>

<style lang="scss" scoped>
// ...
</style>
